
/*
 * JmolSOAPClient.java - Jmol SOAP access example
 * Author: Peter Sauer (peter.sauer@sciencesoft.at)
 * Date of last modification: 2008-10-01
 */

package at.sciencesoft.test;
 
import at.sciencesoft.soap.jmol.*;
import java.io.*;
 
public class  JmolSOAPClient  { 
    private static String ethanol =
       "9\n"+
       "     This geometry optimized by G92;  MP2/6-31G*\n"+
       "H         -2.0801425360     0.4329727646     0.0722817289\n"+
       "C         -1.2129704155    -0.2295285634    -0.0097156258\n"+
       "H         -1.2655910941    -0.9539857247     0.8097953440\n"+
       "C          0.0849758188     0.5590385475     0.0510545434\n"+
       "O          1.2322305822    -0.2731895077    -0.1276123902\n"+
       "H          0.1506137362     1.1200249874     0.9943015309\n"+
       "H          1.2473876659    -0.8998737590     0.6150681570\n"+
       "H          0.1316093068     1.2841805400    -0.7645223601\n"+
       "H         -1.2737541560    -0.7748626513    -0.9540587845\n";
   public static void writeByteStream(String fileName, byte[] stream) throws Exception {
      File file = new File(fileName);
      FileOutputStream writer = new FileOutputStream(file);
      writer.write(stream, 0, stream.length);
      writer.close();
   }
	
  public static void main( String[] args ) {
     try { 	 
        Jmol_Service serv = new Jmol_Service() ;
   	Jmol jmol = serv.getJmolHttpPort();
    	SOAPjmolResult jr = jmol.render(ethanol,400,400,150,0,0,0,null,null,true);
    	if(jr.isSuccess()) {
    	   System.out.println("Success!");
    	   writeByteStream("ethanol.png.",jr.getData().getValue());
	} else {
	   System.out.println("Error:");	
	   System.out.println(jr.getError().getValue());
	}	
    } catch(Exception e) { 	
   	e.printStackTrace();
    } 	
  } 
}