/*
 * LaTeXClient.java - LaTeX CGI access example
 * Author: Peter Sauer (peter.sauer@sciencesoft.at)
 * Date of last modification: 2008-09-25
 * HTTPClient: http://hc.apache.org/httpclient-3.x/userguide.html
 */

package at.sciencesoft.test;
import org.apache.commons.httpclient.*;
import org.apache.commons.httpclient.methods.*;
import java.io.*;

public class LaTeXClient {
    private static String url = "http://sciencesoft.at/image/latexurl";
    private static String schroedinger =
            "\\documentclass[12pt]{article}\n" +
            "\\pagestyle{empty}\n" +
            "\\begin{document}\n" +
            "\\begin{displaymath}\n" +
            "\\bf\n" +
            "\\int H(x,x')\\psi(x')dx' = -\\frac{\\hbar^2}{2m}\\frac{d^2}{dx^2}\n" +
            "\\psi(x)+V(x)\\psi(x)\n" +
            "\\end{displaymath}\n" +
            "\\end{document}\n";

    public static void main(String[] args) throws Exception {
        // Prepare HTTP post
        PostMethod post = new PostMethod(url);
        // Request content will be retrieved directly from the input stream
        NameValuePair[] postdata = {
            new NameValuePair("src", schroedinger),
            new NameValuePair("dev", "pdfwrite"),
            new NameValuePair("papersize", "a4"),
            new NameValuePair("template", "no")
        };
        // Set charset to UTF-8
        post.setRequestHeader("Content-Type", PostMethod.FORM_URL_ENCODED_CONTENT_TYPE + ";charset=utf-8");
        post.setRequestBody(postdata);
        // Get HTTP client
        HttpClient httpclient = new HttpClient();
        // Execute request
        try {
            int result = httpclient.executeMethod(post);
            // Display status code
            System.out.println("Response status code: " + result);
            if (result == 200) {
                FileOutputStream test = new FileOutputStream("test.pdf");
                test.write(post.getResponseBody());
                test.close();
                System.out.println("Scuccess!");
            }
        } finally {
            // Release current connection to the connection pool once you are done
            post.releaseConnection();
        }
    }
}

