
/*
 * LaTeXSOPAClient.java - LaTeX SOAP access example
 * Author: Peter Sauer (peter.sauer@sciencesoft.at)
 * Date of last modification: 2008-10-01
 */

package at.sciencesoft.test;
 
import at.sciencesoft.soap.latex.*;
import java.io.*;

 
public class  LaTeXSOAPClient  { 
    private static String schroedinger =
        "\\documentclass[12pt]{article}\n" +
        "\\pagestyle{empty}\n" +
        "\\begin{document}\n" +
        "\\begin{displaymath}\n" +
        "\\bf\n" +
        "\\int H(x,x')\\psi(x')dx' = -\\frac{\\hbar^2}{2m}\\frac{d^2}{dx^2}\n" +
        "\\psi(x)+V(x)\\psi(x)\n" +
        "\\end{displaymath}\n" +
        "\\end{document}\n";	
   public static void writeByteStream(String fileName, byte[] stream) throws Exception {
      File file = new File(fileName);
      FileOutputStream writer = new FileOutputStream(file);
      writer.write(stream, 0, stream.length);
      writer.close();
   }
	
  public static void main( String[] args ) {
     try { 	 
        Latex_Service serv = new Latex_Service() ;
   	Latex latex = serv.getLatexHttpPort();
    	SOAPlatexResult lr = latex.compile(schroedinger,"pdfwrite","a4",120,true,false,true);
    	if(lr.isSuccess()) {
    	   System.out.println("Success!");
    	   writeByteStream("test.pdf",lr.getData().getValue());
	} else {
	   System.out.println("Error:");	
	   System.out.println(lr.getError().getValue());
	}	
    } catch(Exception e) { 	
   	e.printStackTrace();
    } 	
  } 
}